/* Generated by Frama-C */
#include "stddef.h"
#include "stdint.h"
#include "stdio.h"
#include "stdlib.h"
extern  __attribute__((__FC_BUILTIN__)) int __e_acsl_sound_verdict;

struct spongeStateStruct {
   unsigned char __attribute__((__aligned__(32))) state[1600 / 8] ;
   unsigned char __attribute__((__aligned__(32))) dataQueue[1536 / 8] ;
   unsigned int bitsInQueue ;
} __attribute__((__aligned__(32)));
typedef struct spongeStateStruct spongeState;
int main(void)
{
  int __retres;
  __e_acsl_memory_init((int *)0,(char ***)0,(size_t)8);
  spongeState *state = malloc(sizeof(spongeState));
  __e_acsl_store_block((void *)(& state),(size_t)8);
  __e_acsl_full_init((void *)(& state));
  __e_acsl_initialize((void *)(& state->bitsInQueue),sizeof(unsigned int));
  state->bitsInQueue = (unsigned int)16;
  {
    int __gen_e_acsl_valid_read;
    int __gen_e_acsl_initialized;
    __e_acsl_assert_data_t __gen_e_acsl_assert_data = {.values = (void *)0};
    __e_acsl_assert_register_ptr(& __gen_e_acsl_assert_data,
                                 "&state->dataQueue[state->bitsInQueue / 8]",
                                 (void *)(& state->dataQueue[state->bitsInQueue / 8U]));
    __e_acsl_assert_data_t __gen_e_acsl_assert_data_2 =
      {.values = (void *)0};
    __e_acsl_assert_register_ptr(& __gen_e_acsl_assert_data_2,
                                 "&state->bitsInQueue",
                                 (void *)(& state->bitsInQueue));
    __e_acsl_assert_register_ulong(& __gen_e_acsl_assert_data_2,
                                   "sizeof(unsigned int)",0,
                                   sizeof(unsigned int));
    __gen_e_acsl_valid_read = __e_acsl_valid_read((void *)(& state->bitsInQueue),
                                                  sizeof(unsigned int),
                                                  (void *)(& state->bitsInQueue),
                                                  (void *)0);
    __gen_e_acsl_assert_data_2.blocking = 1;
    __gen_e_acsl_assert_data_2.kind = "RTE";
    __gen_e_acsl_assert_data_2.pred_txt = "mem_access: \\valid_read(&state->bitsInQueue)";
    __gen_e_acsl_assert_data_2.file = "tests/bts/bts1399.c";
    __gen_e_acsl_assert_data_2.fct = "main";
    __gen_e_acsl_assert_data_2.line = 19;
    __e_acsl_assert(__gen_e_acsl_valid_read,& __gen_e_acsl_assert_data_2);
    __e_acsl_assert_clean(& __gen_e_acsl_assert_data_2);
    __e_acsl_assert_register_ulong(& __gen_e_acsl_assert_data,
                                   "sizeof(unsigned char __attribute__((__aligned__(32))))",
                                   0,
                                   sizeof(unsigned char __attribute__((
                                   __aligned__(32)))));
    __gen_e_acsl_initialized = __e_acsl_initialized((void *)(& state->dataQueue[
                                                    state->bitsInQueue / 8U]),
                                                    sizeof(unsigned char __attribute__((
                                                    __aligned__(32)))));
    __e_acsl_assert_register_int(& __gen_e_acsl_assert_data,
                                 "\\initialized(&state->dataQueue[state->bitsInQueue / 8])",
                                 0,__gen_e_acsl_initialized);
    __gen_e_acsl_assert_data.blocking = 1;
    __gen_e_acsl_assert_data.kind = "Assertion";
    __gen_e_acsl_assert_data.pred_txt = "!\\initialized(&state->dataQueue[state->bitsInQueue / 8])";
    __gen_e_acsl_assert_data.file = "tests/bts/bts1399.c";
    __gen_e_acsl_assert_data.fct = "main";
    __gen_e_acsl_assert_data.line = 19;
    __e_acsl_assert(! __gen_e_acsl_initialized,& __gen_e_acsl_assert_data);
    __e_acsl_assert_clean(& __gen_e_acsl_assert_data);
  }
  /*@ assert !\initialized(&state->dataQueue[state->bitsInQueue / 8]); */ ;
  free((void *)state);
  __retres = 0;
  __e_acsl_delete_block((void *)(& state));
  __e_acsl_memory_clean();
  return __retres;
}


